Package org.eclipse.cdt.core.dom.ast

# Interface IASTCopyLocation

All Superinterfaces:
  `IASTNodeLocation`

public interface IASTCopyLocation extends IASTNodeLocation

Since:
  5.3
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNodeLocation

`EMPTY_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`IASTNode`
`getOriginalNode()`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNodeLocation

`asFileLocation, getNodeLength, getNodeOffset`

## Method Details

### getOriginalNode

IASTNode getOriginalNode()

Restriction:
  This method is not intended to be referenced by clients.